package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.DeviceParamBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * DeviceParamService
 *
 */
public interface DeviceParamService  {

    

    /**
     * 新增记录
     * @param deviceParamBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     DeviceParamBean add(DeviceParamBean deviceParamBean);

    /**
     * 更新记录
     * @param deviceParamBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     DeviceParamBean update(DeviceParamBean deviceParamBean);

    /**
     * 删除记录
     * @param deviceParamBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    DeviceParamBean delete(DeviceParamBean deviceParamBean);

    /**
     * 查找一条记录
     * @param deviceParamBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    DeviceParamBean find(DeviceParamBean deviceParamBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     DeviceParamBean find(String code);

    /**
     * 分页查找多条记录
     * @param deviceParamBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<DeviceParamBean> findAll(DeviceParamBean deviceParamBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param deviceParamBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<DeviceParamBean> findAll(DeviceParamBean deviceParamBean);


    /**
     * 统计所有记录
     * @param deviceParamBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(DeviceParamBean deviceParamBean);

    /**
     * 分页查找多条记录
     * @param deviceParamBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<DeviceParamBean> findPager(DeviceParamBean deviceParamBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param deviceParamBeans 批量删除元素集合
     */
     void batchDelete(List<DeviceParamBean> deviceParamBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);

    

}
